### Virtual Method

# GcrUi Viewer insert_renderer

#### Declaration [src]

    void
    insert_renderer (
      GcrViewer* viewer,
      GcrRenderer* renderer,
      GcrRenderer* before
    )

#### Description [src]

Insert a renderer at a specific point in the viewer.

#### Parameters

`renderer`

  Type: `GcrRenderer`

  The renderer to insert.

  The data is owned by the caller of the function.

`before`

  Type: `GcrRenderer`

  The renderer to insert before.

  The argument can be `NULL`.
  The data is owned by the caller of the function.